<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{
    use SoftDeletes;

    protected $table = 'se_categories';

    protected $fillable = [
        'content',
        'content_vi',
        'description',
        'status',
    ];

    public function exercises()
    {
        return $this->hasMany(Exercise::class, 'category_id');
    }
}
