<?php

namespace App\View\Components;

use Illuminate\View\Component;

class SkeletonForm extends Component
{
    public $fields;
    public $buttonCount;

    public function __construct(int $fields = 2, int $buttonCount = 2)
    {
        $this->fields      = $fields;
        $this->buttonCount = $buttonCount;
    }

    public function render()
    {
        return view('components.skeleton-form');
    }
}
