<?php

namespace App\View\Components;

use Illuminate\View\Component;

class SkeletonTable extends Component
{
    public $columns;
    public $rows;
    public $height;

    public function __construct(int $columns = 3, int $rows = 5, string $height = '3.5rem')
    {
        $this->columns = $columns;
        $this->rows    = $rows;
        $this->height  = $height;
    }

    public function render()
    {
        return view('components.skeleton-table');
    }
}
