<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Media extends Model
{
    use SoftDeletes;

    protected $table = 'se_media';

    protected $fillable = [
        'object_id',
        'file_name',
        'file_url',
        'mime_type',
        'size_bytes',
        'position',
    ];

    // Gợi ý: nếu cần polymorphic, bạn sẽ thay bằng morphTo()
}
