<?php
namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Skill extends Model
{
    use SoftDeletes;

    protected $table = 'se_skills';

    protected $fillable = [
        'name',
        'code',
        'description',
    ];

    public function exercises()
    {
        return $this->hasMany(Exercise::class, 'skill_id');
    }
}
