<!DOCTYPE html>
<html lang="vi">
<head>
  <meta charset="UTF-8"/>
  <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

  <title>@yield('title','Auth')</title>
  <link rel="icon" type="image/png" href="{{ asset('images/logo.png') }}">
  {{-- Soft UI CSS --}}
  <link rel="stylesheet" href="{{ asset('soft-ui/assets/css/soft-ui-dashboard.css') }}"/>

  {{-- Livewire Styles --}}
  @livewireStyles

  {{-- CSS bổ sung --}}
  @stack('css')
</head>
<body class="bg-gray-100">
  <section class="min-vh-100 d-flex align-items-center justify-content-center">
    <div class="container">
      @yield('content')
    </div>
  </section>

  {{-- Core JS --}}
  <script src="{{ asset('soft-ui/assets/js/core/popper.min.js') }}"></script>
  <script src="{{ asset('soft-ui/assets/js/core/bootstrap.min.js') }}"></script>
  <script src="{{ asset('soft-ui/assets/js/plugins/perfect-scrollbar.min.js') }}"></script>
  <script src="{{ asset('soft-ui/assets/js/plugins/smooth-scrollbar.min.js') }}"></script>
  <script src="{{ asset('soft-ui/assets/js/soft-ui-dashboard.min.js') }}"></script>

  {{-- Livewire Scripts --}}
  @livewireScripts

  {{-- JS bổ sung --}}
  @stack('js')
</body>
</html>
